 src/backend/nodes/extensible.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/backend/nodes/extensible.c b/src/backend/nodes/extensible.c
index 6035cf8..87c6f1b 100644
--- a/src/backend/nodes/extensible.c
+++ b/src/backend/nodes/extensible.c
@@ -51,7 +51,10 @@ RegisterExtensibleNodeMethods(const ExtensibleNodeMethods *methods)
 											  100, &ctl, HASH_ELEM);
 	}
 
-	Assert(strlen(methods->extnodename) < EXTNODENAME_MAX_LEN);
+	if (strlen(methods->extnodename) >= EXTNODENAME_MAX_LEN)
+		ereport(ERROR,
+				(errcode(ERRCODE_NAME_TOO_LONG),
+				 errmsg("name of extensible node too long")));
 
 	entry = (ExtensibleNodeEntry *) hash_search(extensible_node_methods,
 												methods->extnodename,
